Uploaded image for project: 'Pegasus'
  1. Pegasus
  2. PM-1249

Build fails against newer PostgreSQL

    XMLWordPrintable

    Details

    • Type: Bug
    • Status: Resolved
    • Priority: Major
    • Resolution: Fixed
    • Affects Version/s: 4.9.0, 4.8.1
    • Fix Version/s: 4.9.0, 4.8.2
    • Component/s: None
    • Labels:
      None

      Description

      The following is a report from a user, and can now also be seen in Bamboo under the master build, for the upcoming Debian Buster/10 release:

      Today, I tried whether this would also work in a Buster (testing) environment, but it failed at a rather strange point:

           [exec] Building requests-2.8.0.tar.gz
           [exec] Building itsdangerous-0.21.tar.gz
           [exec] Building boto-2.38.0.tar.gz
           [exec] warning: no files found matching 'boto/mturk/test/*.doctest'
           [exec] warning: no files found matching 'boto/mturk/test/.gitignore'
           [exec] Building pam-0.1.4.tar.gz
           [exec] Building plex-2.0.0dev.tar.gz
           [exec] Building future-0.16.0.tar.gz
           [exec] warning: no files found matching '*.au' under directory 'tests'
           [exec] warning: no files found matching '*.gif' under directory 'tests'
           [exec] warning: no files found matching '*.txt' under directory 'tests'
           [exec] Building psycopg2-2.5.5.tar.gz
           [exec] Makefile:60: recipe for target '/build/pegasus-4.8.1/lib/pegasus/externals/python/psycopg2' failed
           [exec] make[1]: Leaving directory '/build/pegasus-4.8.1/src/externals'
           [exec] Error: could not determine PostgreSQL version from '10.1'make[1]: *** [/build/pegasus-4.8.1/lib/pegasus/externals/python/psycopg2] Error 1

        Attachments

          Activity

            People

            • Assignee:
              rynge Mats Rynge
              Reporter:
              rynge Mats Rynge
            • Watchers:
              2 Start watching this issue

              Dates

              • Created:
                Updated:
                Resolved: